UNPKG

valorant-api-types

Version:

A collection of documented endpoints and return types for the unofficial Valorant API

27 lines 855 B
"use strict"; Object.defineProperty(exports, "__esModule", { value: true }); exports.penaltiesEndpoint = void 0; const zod_1 = require("zod"); const commonTypes_1 = require("../../commonTypes"); exports.penaltiesEndpoint = { name: 'Penalties', description: 'Get the matchmaking penalties for the given player', queryName: 'Restrictions_FetchPlayerRestrictionsV3', category: 'PVP Endpoints', type: 'pd', suffix: 'restrictions/v3/penalties', riotRequirements: { token: true, entitlement: true, clientPlatform: true, clientVersion: true }, responses: { '200': zod_1.z.object({ Subject: commonTypes_1.playerUUIDSchema, Penalties: zod_1.z.array(zod_1.z.unknown()), Version: zod_1.z.number() }) } }; //# sourceMappingURL=Penalties.js.map